import java.io.Serializable;

public class StockItem implements Serializable {
    private static final long serialVersionUID = 1L;
    public String SKU;
    public String name;
    public String description;
    public String[] tags;

    public StockItem(String SKU, String name, String description, String[] tags) {
        this.SKU = SKU;
        this.name = name;
        this.description = description;
        this.tags = tags;
    }

    public StockItem(String SKU, String name, String description) {
        this.SKU = SKU;
        this.name = name;
        this.description = description;
        this.tags = new String[0];
    }

    public String getSKU() {
        return SKU;
    }

    public String getName() {
        return name;
    }

    public String getDescription() {
        return description;
    }

    public String[] getTags() {
        return tags;
    }

    public void setTags(String[] tags) {
        this.tags = tags;
    }
}
